server.php File Reference

It maintains the registration of students. More...

Go to the source code of this file.

## Variables

| $firstname = ""
| $lastname = ""
| $email = ""
| $branch = ""
| $password1 = ""
| $password2 = ""
| $error = array()
| $servername = "localhost"
| $username = "root"
| $pass = ""
| $dbname = "webpage"
| $db = mysqli_connect($servername, $username, $pass, $dbname)

## Detailed Description

It maintains the registration of students.

Description of server.php

The srver php is included at profile, logout, posts, index, mainpage, delete, register, login and edit_exp php pages.

-It checks the database if email is already in use or not. -It enters the student information in the database.

Parameters

  name | varchar Full name of student entered in form.
  roll | varchar Roll number of student
  email | varcgar Email entered that will be used used for logging
  branch | varchar Branch of student
  password | varchar Password that will be used while logging

Definition in file server.php.